# Toolchain file for targeting aarch64 on Linux using the HEBI XDK Clang toolchain

set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_VERSION 1)
set(CMAKE_SYSTEM_PROCESSOR aarch64)

set(LIBHEBI_TARGET_ARCHITECTURE "aarch64" CACHE STRING "Target architecture. Do not modify." FORCE)
set(target_triple "aarch64-linux-gnu")

# Hacky way to get the path to the cmake file in the _actual_ source directory.
# We can't access the source directory in this file, since this file is run
# before the `CMakeLists.txt` in the source directory.
get_filename_component(currdir ${CMAKE_CURRENT_LIST_FILE} ABSOLUTE)
get_filename_component(currdir ${currdir} DIRECTORY)
include(${currdir}/util/hebi-xdk.cmake)

# You can set your own clang executable here
set(clang_exec clang)

set(CMAKE_C_COMPILER          ${clang_exec})
set(CMAKE_CXX_COMPILER        ${clang_exec}++)
set(CMAKE_C_COMPILER_TARGET   ${target_triple})
set(CMAKE_CXX_COMPILER_TARGET ${target_triple})
